Bug 1595461 - During metrics collection for a VMWare provider, SOAP exception occurs during queryAvailablePerfMetric for non-existent VM
Summary: During metrics collection for a VMWare provider, SOAP exception occurs during...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.9.4
Assignee: Adam Grare
QA Contact: Nandini Chandra
URL:
Whiteboard:
Depends On: 1569090
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-26 22:46 UTC by Satoe Imaishi
Modified: 2018-09-04 18:01 UTC (History)
12 users (show)

Fixed In Version: 5.9.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1569090
Environment:
Last Closed: 2018-09-04 18:00:46 UTC
Category: ---
Cloudforms Team: VMware


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2561 None None None 2018-09-04 18:01:39 UTC

Comment 2 CFME Bot 2018-07-11 18:28:00 UTC
New commit detected on ManageIQ/manageiq-providers-vmware/gaprindashvili:

https://github.com/ManageIQ/manageiq-providers-vmware/commit/2ea3dc55e9b575b368655a2c6b368c81ae18e1dd
commit 2ea3dc55e9b575b368655a2c6b368c81ae18e1dd
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Tue May 15 10:54:23 2018 -0400
Commit:     Ladislav Smola <lsmola@redhat.com>
CommitDate: Tue May 15 10:54:23 2018 -0400

    Merge pull request #246 from agrare/bz_1569090_missing_summary_config_uuid

    Try to get VM UUID from summary.config or config
    (cherry picked from commit ed2eb8093a7957867664f771741e54c64df0c19a)

    https://bugzilla.redhat.com/show_bug.cgi?id=1595461

 app/models/manageiq/providers/vmware/infra_manager/refresh_parser.rb | 5 +-
 app/models/manageiq/providers/vmware/infra_manager/selector_spec.rb | 1 +
 manageiq-providers-vmware.gemspec | 2 +-
 spec/models/manageiq/providers/vmware/infra_manager/refresh_parser_spec.rb | 2 +-
 spec/models/manageiq/providers/vmware/infra_manager/refresher_spec.rb | 6 +
 spec/tools/vim_data/miq_vim_inventory/virtualMachinesByMor.yml | 911 +-
 6 files changed, 519 insertions(+), 408 deletions(-)

Comment 8 Nandini Chandra 2018-07-18 21:16:49 UTC
Unable to reproduce this issue.Verified that the fix is present in 5.9.4.

Marking the BZ as VERIFIED.

Comment 10 errata-xmlrpc 2018-09-04 18:00:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2561


Note You need to log in before you can comment on or make changes to this bug.